Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IFilter

All Known Implementing Classes:
  AcceptAllFilter

    public interface IFilter

Interface for filters. Can accept or reject items.

Since:
  3.1

Method Summary
`boolean` `select(Object toTest)` Determines if the given object passes this filter.

Method Detail

### select

    boolean select(Object toTest)

  Determines if the given object passes this filter.

  Parameters:
    `toTest` - object to compare against the filter
  Returns:
    `true` if the object is accepted by the filter.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.